Returns the servers in the topology

- « MongoDB\Driver\TopologyDescription

- MongoDB\Driver\TopologyDescription::getType »

- PHP Manual
- MongoDB\Driver\TopologyDescription
- Returns the servers in the topology

# MongoDB\Driver\TopologyDescription::getServers

(mongodb >=1.13.0)

MongoDB\Driver\TopologyDescription::getServers — Returns the servers in the topology

### Description

final public MongoDB\Driver\TopologyDescription::getServers(): array

Returns an array of MongoDB\Driver\ServerDescription objects corresponding to the known servers in the topology.

### Parameters

This function has no parameters.

### Return Values

Returns an array of MongoDB\Driver\ServerDescription objects corresponding to the known servers in the topology.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.